package nc.vo.hi.cloud.train;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;

import nc.vo.pub.SuperVO;
import nc.vo.pub.lang.UFBoolean;

/**
 * 员工信息列表
 * @author chenzf
 * @date 2022-4-21 15:53:04
 *
 */
public class CloudPsnVO extends SuperVO {
	private String pk_cloud;
	private String id;//人员id
	private String cnName;//用户姓名
	private String createDate;//创建时间
	private String currentPositionName;//岗位名
	private String currentPositionId;//岗位id
	private String departmentId;//部门id
	private String departmentName;//部门名称
	private String eMail;//邮箱
	private String mobile;//手机
	private String sex;//性别
	private String cloudStatus;//状态status 0为禁用 1为启用
	private String thirdDeptId;//第三方系统id
	private String thirdSystemSYNCDate;//第三方系统同步时间
	private String thirdSystemUserNo;//第三方系统用户账号
	private String updateDate;//更新时间
	private String entryTime;//入职时间
	private String userName;//用户账号
	private String userNo;//员工编号
	private String deptNo;//部门编号
	private String positionNo;//岗位编号
	private String managerUserId;//直属经理id
	private String managerUsername;//直属经理账号
	private String managerCnName;//直属经理姓名
	private String createUserId;//创建人id 如通过接口创建则为平台ApiKey
	private String createUserName;//创建人名称
	public static final String ID = "id";
	public static final String CNNAME = "cnName";
	public static final String CREATEDATE = "createDate";
	public static final String PK_CLOUD = "pk_cloud";
	public static final String CURRENTPOSITIONNAME = "currentPositionName";
	public static final String CURRENTPOSITIONID = "currentPositionId";
	public static final String DEPARTMENTID = "departmentId";
	public static final String DEPARTMENTNAME = "departmentName";
	public static final String EMAIL = "eMail";
	public static final String MOBILE = "mobile";
	public static final String SEX = "sex";
	public static final String CLOUDSTATUS = "cloudStatus";
	public static final String THIRDDEPTID = "thirdDeptId";
	public static final String THIRDSYSTEMSYNCDATE = "thirdSystemSYNCDate";
	public static final String THIRDSYSTEMUSERNO = "thirdSystemUserNo";
	public static final String UPDATEDATE = "updateDate";
	public static final String ENTRYTIME = "entryTime";
	public static final String USERNAME = "userName";
	public static final String USERNO = "userNo";
	public static final String DEPTNO = "deptNo";
	public static final String POSITIONNO = "positionNo";
	public static final String MANAGERUSERID = "managerUserId";
	public static final String MANAGERUSERNAME = "managerUsername";
	public static final String MANAGERCNNAME = "managerCnName";
	public static final String CREATEUSERID = "createUserId";
	public static final String CREATEUSERNAME = "createUserName";

	public String getPk_cloud() {
		return pk_cloud;
	}

	public void setPk_cloud(String pk_cloud) {
		this.pk_cloud = pk_cloud;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getCnName() {
		return cnName;
	}

	public void setCnName(String cnName) {
		this.cnName = cnName;
	}

	public String getCreateDate() {
		return createDate;
	}

	public void setCreateDate(String createDate) {
		this.createDate = createDate;
	}

	public String getCurrentPositionName() {
		return currentPositionName;
	}

	public void setCurrentPositionName(String currentPositionName) {
		this.currentPositionName = currentPositionName;
	}

	public String getCurrentPositionId() {
		return currentPositionId;
	}

	public void setCurrentPositionId(String currentPositionId) {
		this.currentPositionId = currentPositionId;
	}

	public String getDepartmentId() {
		return departmentId;
	}

	public void setDepartmentId(String departmentId) {
		this.departmentId = departmentId;
	}

	public String getDepartmentName() {
		return departmentName;
	}

	public void setDepartmentName(String departmentName) {
		this.departmentName = departmentName;
	}

	public String geteMail() {
		return eMail;
	}

	public void seteMail(String eMail) {
		this.eMail = eMail;
	}

	public String getMobile() {
		return mobile;
	}

	public void setMobile(String mobile) {
		this.mobile = mobile;
	}

	public String getSex() {
		return sex;
	}

	public void setSex(String sex) {
		this.sex = sex;
	}

	public String getThirdDeptId() {
		return thirdDeptId;
	}

	public void setThirdDeptId(String thirdDeptId) {
		this.thirdDeptId = thirdDeptId;
	}

	public String getThirdSystemSYNCDate() {
		return thirdSystemSYNCDate;
	}

	public void setThirdSystemSYNCDate(String thirdSystemSYNCDate) {
		this.thirdSystemSYNCDate = thirdSystemSYNCDate;
	}

	public String getThirdSystemUserNo() {
		return thirdSystemUserNo;
	}

	public void setThirdSystemUserNo(String thirdSystemUserNo) {
		this.thirdSystemUserNo = thirdSystemUserNo;
	}

	public String getUpdateDate() {
		return updateDate;
	}

	public void setUpdateDate(String updateDate) {
		this.updateDate = updateDate;
	}

	public String getEntryTime() {
		return entryTime;
	}

	public void setEntryTime(String entryTime) {
		this.entryTime = entryTime;
	}

	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}

	public String getUserNo() {
		return userNo;
	}

	public void setUserNo(String userNo) {
		this.userNo = userNo;
	}

	public String getDeptNo() {
		return deptNo;
	}

	public void setDeptNo(String deptNo) {
		this.deptNo = deptNo;
	}

	public String getPositionNo() {
		return positionNo;
	}

	public void setPositionNo(String positionNo) {
		this.positionNo = positionNo;
	}

	public String getManagerUserId() {
		return managerUserId;
	}

	public void setManagerUserId(String managerUserId) {
		this.managerUserId = managerUserId;
	}

	public String getManagerUsername() {
		return managerUsername;
	}

	public void setManagerUsername(String managerUsername) {
		this.managerUsername = managerUsername;
	}

	public String getManagerCnName() {
		return managerCnName;
	}

	public void setManagerCnName(String managerCnName) {
		this.managerCnName = managerCnName;
	}

	public String getCreateUserId() {
		return createUserId;
	}

	public void setCreateUserId(String createUserId) {
		this.createUserId = createUserId;
	}

	public String getCreateUserName() {
		return createUserName;
	}

	public void setCreateUserName(String createUserName) {
		this.createUserName = createUserName;
	}

	public String getParentPKFieldName() {
		return null;
	}

	public String getClouddStatus() {
		return cloudStatus;
	}

	public void setCloudStatus(String cloudStatus) {
		this.cloudStatus = cloudStatus;
	}

	public String getPKFieldName() {
		return "pk_cloud";
	}

	public String getTableName() {
		return "cloud_psndoc";
	}
}
